    attribute vec3 vertexPosition;
    attribute vec2 textureCoord;

    uniform mat4 modelViewMatrix;
    
    varying highp vec2 vTextureCoord;
    
    void main(void) {
	    gl_Position = modelViewMatrix * vec4(vertexPosition, 1.0);
      vTextureCoord = textureCoord;
    }